Get counterparty by ID
curl --request GET \
--url https://api.nomi.tools/v1/counterparties/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.nomi.tools/v1/counterparties/{id}"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.nomi.tools/v1/counterparties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"externalId": "<string>",
"balance": 123,
"notes": "<string>",
"isArchived": true,
"types": [
"client"
]
}Counterparties
Get counterparty by ID
Retrieve details of a specific counterparty.
GET
/
v1
/
counterparties
/
{id}
Get counterparty by ID
Authorizations
Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.
Headers
Available options:
application/json Path Parameters
Response
Counterparty details
Unique identifier for the counterparty.
Name of the counterparty.
External identifier for the counterparty.
Current balance of the counterparty.
Additional notes about the counterparty.
Indicates if the counterparty is archived.
Types associated with the counterparty.
Available options:
client, supplier, partner, contractor, other